#!/bin/bash
#
# Setup NISDOMAIN - already done by installation
#

# make sure needed services are on

/sbin/chkconfig --level 35 ypbind on
/sbin/chkconfig --level 35 portmap on

# Set up CPD NFS mount points

[ -d /home          ] || mkdir /home
[ -d /home/cepa01   ] || mkdir /home/cepa01
[ -d /home/prj      ] || mkdir /home/prj

[ -d /fnal/ups ] || mkdir -p /fnal/ups

[ -d /scr        ] || mkdir /scr
[ -d /scr/cepa01 ] || mkdir /scr/cepa01
[ -d /scr/cepa02 ] || mkdir /scr/cepa02


# edit fstab
if [ `grep cepasrv1.fnal.gov:/home/cepa01 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'cepasrv1.fnal.gov:/home/cepa01  /home/cepa01 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'cepasrv1.fnal.gov:/home/prj     /home/prj    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep cepasrv1.fnal.gov:/fnal/ups /etc/fstab | wc -l` -eq 0 ]
then
  echo 'cepasrv1.fnal.gov:/fnal/ups /fnal/ups nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep cepasrv1.fnal.gov:/scr/cepa01 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'cepasrv1.fnal.gov:/scr/cepa01  /scr/cepa01 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'cepasrv1.fnal.gov:/scr/cepa02  /scr/cepa02 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

# make sure shells are present
[ -d /usr/local/bin ] || mkdir /usr/local/bin
[ -L /usr/local/bin/bash ] || ln -s /bin/bash /usr/local/bin/bash
[ -L /usr/local/bin/tcsh ] || ln -s /bin/tcsh /usr/local/bin/tcsh

if [ `grep /usr/local/bin/bash /etc/shells | wc -l` -eq 0 ]
then
  echo '/usr/local/bin/bash' >> /etc/shells
  echo '/usr/local/bin/tcsh' >> /etc/shells
fi

# enable telnet and ftp
if [ -f /usr/krb5/config/telnet.xinetd.on ]
then
  cp /usr/krb5/config/telnet.xinetd.on /etc/xinetd.d/telnet
fi
if [ -f /usr/krb5/config/ftp.xinetd.on ]
then
  cp /usr/krb5/config/ftp.xinetd.on /etc/xinetd.d/ftp
fi

# enable DISPLAY tunneling
if [ `grep ForwardX11 /etc/ssh/ssh_config | grep -v "#" | wc -l` -eq 0 ]
then
  echo ' ' >> /etc/ssh/ssh_config
  echo 'Host *' >> /etc/ssh/ssh_config
  echo '   ForwardX11 yes' >> /etc/ssh/ssh_config
fi

# fix dvips - not sure if we need to do this
#mv /usr/share/texmf/dvips/config/config.ps /usr/share/texmf/dvips/config/config.ps.orig
#cp /etc/$WORKGROUP/configfiles/config.ps /usr/share/texmf/dvips/config/config.ps

#  send mail to cpd-admin
if [ `grep root: /etc/aliases | grep -v \# | wc -l` -eq 0 ]
then
  echo 'root: cpd-admin@fnal.gov' >> /etc/aliases
  /usr/bin/newaliases
fi

# establish ups
mount /fnal/ups
if [ -f "/fnal/ups/etc/setups.sh" ]
then
  . "/fnal/ups/etc/setups.sh"
  # start ups at boot time
  if [ ! -f /etc/rc.d/init.d/ups ] 
  then
     cp $UPS_DIR/init.d/ups /etc/rc.d/init.d/ups
     /etc/rc.d/init.d/ups config
  fi
  # perl
  #[ -f /usr/local/bin/setup_and_run_perl ] || ups installasroot perl 
  # funame and dropit
  [ -L /usr/local/bin/dropit ] || ln -s $UPS_DIR/bin/dropit /usr/local/bin/dropit
  [ -L /usr/local/bin/funame ] || ln -s $UPS_DIR/bin/funame /usr/local/bin/funame
  # flpr
  if [ ! -f /usr/local/etc/flp.defaults ] 
  then
    echo 'queue wh9w_hp8100' >> /usr/local/etc/flp.defaults
    echo 'host  fnprt' >> /usr/local/etc/flp.defaults
  fi
  setup flpr
  [ -f /usr/local/bin/flpk ] || cp -p $FLPR_DIR/bin/flpk /usr/local/bin/flpk
  [ -f /usr/local/bin/flpr ] || cp -p $FLPR_DIR/bin/flpr /usr/local/bin/flpr
  [ -f /usr/local/bin/flpq ] || cp -p $FLPR_DIR/bin/flpq /usr/local/bin/flpq 
fi
